File strongswan-fips-disablegcrypt.patch of Package strongswan

References: fate#316931

Index: strongswan-5.1.3/conf/plugins/gcrypt.conf
===================================================================
--- strongswan-5.1.3.orig/conf/plugins/gcrypt.conf
+++ strongswan-5.1.3/conf/plugins/gcrypt.conf
@@ -2,7 +2,7 @@ gcrypt {
 
     # Whether to load the plugin. Can also be an integer to increase the
     # priority of this plugin.
-    load = yes
+    load = no
 
     # Use faster random numbers in gcrypt; for testing only, produces weak keys!
     # quick_random = no
openSUSE Build Service is sponsored by